<?xml version="1.0" encoding="UTF-8"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>com.lideeyunji</groupId>
    <artifactId>lideeYunJi</artifactId>
    <version>2.2.4</version>
  </parent>
  <groupId>com.lideeyunji</groupId>
  <artifactId>lidee-admin</artifactId>
  <version>2.2.4</version>
  <name>${project.artifactId}</name>
  <description>低代码启动器</description>
  <dependencies>
    <dependency>
      <groupId>com.lideeyunji</groupId>
      <artifactId>lidee-service-system-biz</artifactId>
      <version>${lidee.version}</version>
    </dependency>
    <dependency>
      <groupId>com.lideeyunji</groupId>
      <artifactId>lidee-service-infra-biz</artifactId>
      <version>${lidee.version}</version>
    </dependency>
    <dependency>
      <groupId>org.springframework.boot</groupId>
      <artifactId>spring-boot-configuration-processor</artifactId>
      <optional>true</optional>
    </dependency>
    <dependency>
      <groupId>com.lideeyunji</groupId>
      <artifactId>tool-spring-boot-starter-protection</artifactId>
    </dependency>
    <dependency>
      <groupId>com.lideeyunji</groupId>
      <artifactId>lidee-module-biz</artifactId>
    </dependency>
  </dependencies>
  <build>
    <finalName>${project.artifactId}</finalName>
    <plugins>
      <plugin>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-maven-plugin</artifactId>
        <version>${spring.boot.version}</version>
        <executions>
          <execution>
            <goals>
              <goal>repackage</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>
</project>
